Microstation Connect Custom Tool Setting dependent on annotation scale

I am in Microstation Connect Edition Update 14 - Version 10.14.00.109

I have created a custom tool. It sets the level through a level template. Engages the Cloud by Points Tool. Turns on the arc radius toggle and sets the arc radius length to 0.1.   My question is, can I make that distance of 0.1 scale according to the annotation lock?

Thanks!

Parents
  • The only way I can see to do this is through a VBA like the one that's shown.

    Private Const BASE_RADIUS As Double = 0.1
    
    Sub SetPointCloudRadius()
        Dim ScaledRadius As Double
        ScaledRadius = BASE_RADIUS * GetActiveAnnotationScale
        
        CadInputQueue.SendCommand "place revcloud points"
        CadInputQueue.SendKeyin "set item toolsettings cloudarcradiustoggle=1"
        CadInputQueue.SendKeyin "set item toolsettings cloudarcradius=" & CStr(ScaledRadius)
    End Sub
    
    Function GetActiveAnnotationScale() As Double
        Dim sd As SheetDefinition
        Set sd = ActiveModelReference.GetSheetDefinition
        
        GetActiveAnnotationScale = sd.AnnotationScaleFactor
    End Function
    

    In this case you would change the Key-in property of your custom tool to something like VBA RUN [mvba projectname]SetPointCloudRadius

    Then remove the arc radius Dialog Item Setting

    Rod Wing
    Senior Systems Analyst

    Answer Verified By: Heidi Taynton 

Reply
  • The only way I can see to do this is through a VBA like the one that's shown.

    Private Const BASE_RADIUS As Double = 0.1
    
    Sub SetPointCloudRadius()
        Dim ScaledRadius As Double
        ScaledRadius = BASE_RADIUS * GetActiveAnnotationScale
        
        CadInputQueue.SendCommand "place revcloud points"
        CadInputQueue.SendKeyin "set item toolsettings cloudarcradiustoggle=1"
        CadInputQueue.SendKeyin "set item toolsettings cloudarcradius=" & CStr(ScaledRadius)
    End Sub
    
    Function GetActiveAnnotationScale() As Double
        Dim sd As SheetDefinition
        Set sd = ActiveModelReference.GetSheetDefinition
        
        GetActiveAnnotationScale = sd.AnnotationScaleFactor
    End Function
    

    In this case you would change the Key-in property of your custom tool to something like VBA RUN [mvba projectname]SetPointCloudRadius

    Then remove the arc radius Dialog Item Setting

    Rod Wing
    Senior Systems Analyst

    Answer Verified By: Heidi Taynton 

Children